package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag767;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT767Creator;

public class Tag77LCreator extends AbsTagCreate {
    private MT767Creator mt767Creator;

    public Tag77LCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt767Creator = (MT767Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag77LValue = mt767Creator.getOtherAmendmentsToLocalUndertakingOfC();
        mt767Creator.set("77L", tag77LValue);
    }
}
